diff --git a/x11/xdm/Makefile b/x11/xdm/Makefile
index 51dbe09..b416e86 100644
--- a/x11/xdm/Makefile
+++ b/x11/xdm/Makefile
@@ -28,6 +28,11 @@ OPTIONS=	XDMSHELL "Install xdmshell" off
 
 .include <bsd.port.options.mk>
 
+# XXX unbreak build with clang as CC
+BUILD_DEPENDS+= ucpp:${PORTSDIR}/devel/ucpp
+RUN_DEPENDS+=   ucpp:${PORTSDIR}/devel/ucpp
+CONFIGURE_ENV+=	ac_cv_path_RAWCPP="ucpp -s"
+
 .if defined(WITH_XDMSHELL)
 CONFIGURE_ARGS+=--enable-xdmshell
 MAN1+=		xdmshell.1